# Uses of Class
java.awt.PageAttributes.OrientationRequestedType

Packages that use PageAttributes.OrientationRequestedType
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of PageAttributes.OrientationRequestedType in java.awt

Fields in java.awt declared as PageAttributes.OrientationRequestedType
Modifier and Type
Field
Description
`static final PageAttributes.OrientationRequestedType`
PageAttributes.OrientationRequestedType.`LANDSCAPE`
The OrientationRequestedType instance to use for specifying a landscape orientation.
`static final PageAttributes.OrientationRequestedType`
PageAttributes.OrientationRequestedType.`PORTRAIT`
The OrientationRequestedType instance to use for specifying a portrait orientation.
Methods in java.awt that return PageAttributes.OrientationRequestedType
Modifier and Type
Method
Description
`PageAttributes.OrientationRequestedType`
PageAttributes.`getOrientationRequested()`
Returns the print orientation for pages using these attributes.
Methods in java.awt with parameters of type PageAttributes.OrientationRequestedType
Modifier and Type
Method
Description
`void`
PageAttributes.`setOrientationRequested(PageAttributes.OrientationRequestedType orientationRequested)`
Specifies the print orientation for pages using these attributes.
Constructors in java.awt with parameters of type PageAttributes.OrientationRequestedType
Modifier
Constructor
Description
``
`PageAttributes(PageAttributes.ColorType color, PageAttributes.MediaType media, PageAttributes.OrientationRequestedType orientationRequested, PageAttributes.OriginType origin, PageAttributes.PrintQualityType printQuality, int[] printerResolution)`
Constructs a PageAttributes instance with the specified values for every attribute.